<?php


return  
    [
        'model' => [
            'model' => \Beo\Whitepaper\Models\Whitepaper::class,
            'repository' => \Beo\Whitepaper\Repositories\Eloquent\WhitepaperRepository::class,
            'table' => 'whitepapers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'category_id',  'title',  'summary',  'description',  'thumbnails',  'images',  'tags',  'viewcount',  'slug',  'status',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'whitepaper/whitepaper',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "category_id" => [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            "title" => [
                "key" => "title", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            "summary" => [
                "key" => "summary", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.summary', 
                'sort' => true,
                'roles' => [],
            ],
            "description" => [
                "key" => "description", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            "thumbnails" => [
                "key" => "thumbnails", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.thumbnails', 
                'sort' => true,
                'roles' => [],
            ],
            "images" => [
                "key" => "images", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            "tags" => [
                "key" => "tags", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.tags', 
                'sort' => true,
                'roles' => [],
            ],
            "viewcount" => [
                "key" => "viewcount", 
                "type" => "text", 
                "label" => 'whitepaper::whitepaper.label.viewcount', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whitepaper::whitepaper.label.category_id',
                "placeholder" => 'whitepaper::whitepaper.placeholder.category_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.title',
                "placeholder" => 'whitepaper::whitepaper.placeholder.title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'summary' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.summary',
                "placeholder" => 'whitepaper::whitepaper.placeholder.summary',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.description',
                "placeholder" => 'whitepaper::whitepaper.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'thumbnails' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.thumbnails',
                "placeholder" => 'whitepaper::whitepaper.placeholder.thumbnails',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.images',
                "placeholder" => 'whitepaper::whitepaper.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tags' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'whitepaper::whitepaper.label.tags',
                "placeholder" => 'whitepaper::whitepaper.placeholder.tags',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'viewcount' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'whitepaper::whitepaper.label.viewcount',
                "placeholder" => 'whitepaper::whitepaper.placeholder.viewcount',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'whitepaper/whitepaper/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'whitepaper/whitepaper/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'whitepaper/whitepaper',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'whitepaper/whitepaper',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'whitepaper/whitepaper',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'whitepaper/whitepaper',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'whitepaper::whitepaper.label.created_at',
            'name' => 'whitepaper::whitepaper.label.name',
            'status' => 'whitepaper::whitepaper.label.status',
        ],
        'groups' => [
            'main' => 'whitepaper::whitepaper.groups.main',
            'details' => 'whitepaper::whitepaper.groups.details',
            'images' => 'whitepaper::whitepaper.groups.images',
            'settings' => 'whitepaper::whitepaper.groups.settings',
        ],
        'controller' => [
            'provider' => 'Beo',
            'package' => 'Whitepaper',
            'module' => 'Whitepaper',
        ],
    ];
