<?php

namespace Beo\Whitepaper\Seeders;

use DB;
use Illuminate\Database\Seeder;

class WhitepaperTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('whitepapers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'whitepaper.whitepaper.view',
                'name'      => 'View Whitepaper',
            ],
            [
                'slug'      => 'whitepaper.whitepaper.create',
                'name'      => 'Create Whitepaper',
            ],
            [
                'slug'      => 'whitepaper.whitepaper.edit',
                'name'      => 'Update Whitepaper',
            ],
            [
                'slug'      => 'whitepaper.whitepaper.delete',
                'name'      => 'Delete Whitepaper',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/whitepaper/whitepaper',
                'name'        => 'Whitepaper',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/whitepaper/whitepaper',
                'name'        => 'Whitepaper',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'whitepaper',
                'name'        => 'Whitepaper',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Whitepaper',
                'module'    => 'Whitepaper',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'whitepaper.whitepaper.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
