Lavalite package that provides whitepaper management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `beo/whitepaper`.

    "beo/whitepaper": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Beo\Whitepaper\Providers\WhitepaperServiceProvider::class,

And also add it to alias

    'Whitepaper'  => Beo\Whitepaper\Facades\Whitepaper::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Beo\\Whitepaper\\Seeders\\WhitepaperTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Beo\Whitepaper\Providers\WhitepaperServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Beo\Whitepaper\Providers\WhitepaperServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Beo\Whitepaper\Providers\WhitepaperServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/whitepaper/{modulename}

**User**

    http://path-to-route-folder/user/whitepaper/{modulename}

**Public**

    http://path-to-route-folder/whitepapers


### API endpoints

**List**

    http://path-to-route-folder/api/user/whitepaper/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/whitepaper/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/whitepaper/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/whitepaper/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/whitepaper/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/whitepaper/{modulename}/{slug}
    METHOD: GET